package ru.myitschool.work.ui.entrylist

import android.content.Context
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import dagger.hilt.android.lifecycle.HiltViewModel
import dagger.hilt.android.qualifiers.ApplicationContext
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.asSharedFlow
import kotlinx.coroutines.flow.asStateFlow
import kotlinx.coroutines.launch
import ru.myitschool.work.ui.profile.ProfileViewModel
import ru.myitschool.work.ui.profile.ProfileViewModel.Action
import ru.myitschool.work.ui.profile.ProfileViewModel.State
import ru.myitschool.work.utils.MutablePublishFlow
import java.text.SimpleDateFormat
import java.util.Locale
import javax.inject.Inject


@HiltViewModel
class EntryListViewModel @Inject constructor(
    @ApplicationContext private val context: Context,
) : ViewModel() {
    private val _action = MutablePublishFlow<Action>()
    val action = _action.asSharedFlow()

//    private val _state = MutableStateFlow<State>(initialState)
//    val state = _state.asStateFlow()

    fun closeEntryList(){
        viewModelScope.launch {
            _action.emit(Action.OpenProfile)
        }
    }


    sealed interface Action {
        data object OpenProfile: Action
    }


    companion object {
//        val initialState = State.Loading
    }
}